

provider_config:
  bms:
    ssh_user: "ubuntu"
    ssh_pwd:
    ssh_private_key: "/home/ubuntu/.ssh/id_rsa"
    domainsuffix: ""

instances:
  node_10_0_0_22:
    ip: "10.0.0.22"
    provider: bms
    roles:
      analytics:
      analytics_snmp:
      analytics_alarm:
      analytics_database:
      config:
      config_database:
      control:
      webui:
      k8s_master:
      kubemanager:
      vrouter:
      k8s_node:

global_configuration:
  ENABLE_DESTROY: False
  CONTAINER_REGISTRY: "nexus.gz1.opensdn.io:5101"
  REGISTRY_PRIVATE_INSECURE: True

  K8S_YUM_REPO_URL: "http://tf-mirrors.gz1.opensdn.io/repos/yum7/latest/k8s/"

default_configuration:
  VXLAN_VN_ID_MODE: automatic
contrail_configuration:
  CONTRAIL_CONTAINER_TAG: "master-1_5_3_1-1_1"
  CONTROL_NODES: "10.0.0.22"
  CONFIG_DATABASE_NODEMGR__DEFAULTS__minimum_diskGB: "2"
  DATABASE_NODEMGR__DEFAULTS__minimum_diskGB: "2"
  JVM_EXTRA_OPTS: "-Xms1g -Xmx2g"
  VROUTER_ENCRYPTION: FALSE
  LOG_LEVEL: SYS_DEBUG
  CLOUD_ORCHESTRATOR: kubernetes
  SSL_ENABLE: "false"
  RABBITMQ_USE_SSL: "false"
  CASSANDRA_SSL_ENABLE: "false"
  ANALYTICSDB_ENABLE: "true"
  ANALYTICS_ALARM_ENABLE: "true"
  ANALYTICS_SNMP_ENABLE: "true"
  CONFIG_API_WORKER_COUNT: "3"
  KUBERNETES_PUBLIC_FIP_POOL:
    domain: default-domain
    name: __fip_pool_public__
    network: __public__
    project: k8s-default
  HUGE_PAGES_2MB: "256"
